<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>QueryCondition</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="QueryCondition";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/QueryCondition.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.nba.api</a></div>
<h2 title="Class QueryCondition" class="title">Class QueryCondition</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>nl.naturalis.nba.api.QueryCondition</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">QueryCondition</span>
extends <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></pre>
<div class="block"><p>
 Class modeling a query condition. A condition consists of a field name, a
 <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api"><code>ComparisonOperator</code></a> and a value. For example: "name", EQUALS, "John".
 A condition can optionally have a list of sibling conditions. These are
 joined to the containing condition using the AND or OR operator. A condition
 and its siblings are strongly bound together, as though surrounded by
 parentheses: <code>(condition AND sibling0 AND
 sibling1)</code>. Because each sibling may itself also have a list of sibling
 conditions, this allows you to nest logical expressions like
 <code>(A AND (B OR C OR (D AND E)) AND F)</code>.
 </p>
 <h3>Combining AND and OR siblings</h3>
 <p>
 Following common precedence rules, if a condition has both AND siblings and
 OR siblings, the condition itself and its AND siblings make up one boolean
 expression, which is then joined as a whole with the OR siblings. For
 example, if you have a condition C with AND siblings A1, A2, A3, and with OR
 siblings O1, O2, O3, then the resulting expression would be:
 </p>

 <pre>
 (C AND A1 AND A2 AND A3) OR O1 OR O2 OR O3
 </pre>

 <h3>Negating a condition</h3>
 <p>
 A condition may be negated using operator <a href="UnaryBooleanOperator.html#NOT"><code>NOT</code></a>. For example:
 </p>

 <pre>

 Condition condition = new Condition(NOT, "name", EQUALS, "John");
 </pre>
 <p>
 However, be aware that the effect of this is that the <b>entire</b>
 expression that the condition evaluates to is negated. Thus when you negate
 the above condition (with both AND and OR siblings), the resulting expression
 will <b>not</b> be:
 </p>

 <pre>
 ((NOT C) AND A1 AND A2 AND A3) OR O1 OR 02 OR O3
 </pre>
 <p>
 Instead, it will be:
 </p>

 <pre>
 NOT((C AND A1 AND A2 AND A3) OR O1 OR 02 OR O3)
 </pre>
 <p>
 This can quickly become confusing if the siblings themselves are also
 negated. To avoid this confusion, avoid using the NOT operator and instead
 use (for example) NOT_EQUALS instead of EQUALS. Alternatively, add negatively
 expressed conditions one by one to the <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> object instead of
 nesting one within the other:
 </p>

 <pre>
 QuerySpec querySpec = new QuerySpec();
 querySpec.addCondition(new Condition(NOT, "genus", EQUALS, "Larus"));
 querySpec.addCondition(new Condition(NOT, "sourceSystem.code", EQUALS, "CRS"));
 </pre>

 <h3>The ALWAYS TRUE and ALWAYS FALSE query conditions</h3>

 <p>
 Analogous to SQL query conditions that always evaluate to true (like
 <code>WHERE 1 = 1</code>) or false (like <code>WHERE 1 = 0</code>), the following
 special query condition will always evaluate to true (it will match all
 documents);
 </p>

 <pre>

 QueryCondition ALWAYS_TRUE = new QueryCondition(true);
 </pre>
 <p>
 And the following special query condition will always evaluate to false (it
 will not match any document):

 <pre>

 QueryCondition ALWAYS_FALSE = new QueryCondition(false);
 </pre>
 <p>
 Note that you can always rewrite your query without resorting to the ALWAYS
 TRUE or the ALWAYS FALSE condition, but it might sometimes be easier to
 conceive your query with these special query conditions at you disposal.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ayco Holleman</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">QueryCondition</a></span>()</code></th>
<td class="colLast">
<div class="block">Creates an empty search condition.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(boolean)">QueryCondition</a></span>&#8203;(boolean&nbsp;b)</code></th>
<td class="colLast">
<div class="block">instantiating a <code>QueryCondition</code> this way will create either the ALWAYS
 TRUE or the ALWAYS FALSE query condition, depending on the boolean value
 passed to this constructor.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.Object)">QueryCondition</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
              <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;operator,
              <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Creates a condition for the specified field, comparing it to the specified
 value using the specified operator.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">QueryCondition</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
              <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
              <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Creates a condition for the specified field, comparing it to the specified
 value using the specified operator.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(nl.naturalis.nba.api.Path,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">QueryCondition</a></span>&#8203;(<a href="Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;field,
              <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
              <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Creates a condition for the specified field, comparing it to the specified
 value using the specified operator.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(nl.naturalis.nba.api.QueryCondition)">QueryCondition</a></span>&#8203;(<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;other)</code></th>
<td class="colLast">
<div class="block">Copy constructor.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(nl.naturalis.nba.api.UnaryBooleanOperator,java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">QueryCondition</a></span>&#8203;(<a href="UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api">UnaryBooleanOperator</a>&nbsp;not,
              <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
              <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
              <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Creates a negated condition for the specified field, comparing it to the
 specified value using the specified operator.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(nl.naturalis.nba.api.UnaryBooleanOperator,nl.naturalis.nba.api.Path,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">QueryCondition</a></span>&#8203;(<a href="UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api">UnaryBooleanOperator</a>&nbsp;not,
              <a href="Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;field,
              <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
              <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#and(java.lang.String,java.lang.String,java.lang.Object)">and</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
   <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;operator,
   <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Adds an AND sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#and(java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">and</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
   <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
   <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Adds an AND sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#and(nl.naturalis.nba.api.QueryCondition)">and</a></span>&#8203;(<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;sibling)</code></th>
<td class="colLast">
<div class="block">Adds an AND sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#equals(java.lang.Object)">equals</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAnd()">getAnd</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the AND sibling conditions of this condition.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Float.html?is-external=true" title="class or interface in java.lang" class="externalLink">Float</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBoost()">getBoost</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the boost that documents should receive if they satisfy this
 condition.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="Path.html" title="class in nl.naturalis.nba.api">Path</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getField()">getField</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the field whose value .</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api">UnaryBooleanOperator</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNot()">getNot</a></span>()</code></th>
<td class="colLast">
<div class="block">Whether or not this is a negated condition.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOperator()">getOperator</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns operator used to constrain the field's value.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOr()">getOr</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the OR sibling conditions of this condition.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getValue()">getValue</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the value to constrain the field to.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hashCode()">hashCode</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang" class="externalLink">Boolean</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isConstantScore()">isConstantScore</a></span>()</code></th>
<td class="colLast">
<div class="block">Whether or not this is a non-scoring condition (a&#46;k&#46;a&#46; a filter).</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isNegated()">isNegated</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns whether or not this is a negated condition.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#negate()">negate</a></span>()</code></th>
<td class="colLast">
<div class="block">Negates the condition.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#or(java.lang.String,java.lang.String,java.lang.Object)">or</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
  <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;operator,
  <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Adds an OR sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#or(java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">or</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
  <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
  <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Adds an OR sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#or(nl.naturalis.nba.api.QueryCondition)">or</a></span>&#8203;(<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;sibling)</code></th>
<td class="colLast">
<div class="block">Adds an OR sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAnd(java.util.List)">setAnd</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;&nbsp;and)</code></th>
<td class="colLast">
<div class="block">Sets the AND sibling conditions of this condition.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBoost(java.lang.Float)">setBoost</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Float.html?is-external=true" title="class or interface in java.lang" class="externalLink">Float</a>&nbsp;boost)</code></th>
<td class="colLast">
<div class="block">Sets the boost that documents should receive if they satisfy this condition.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setConstantScore(boolean)">setConstantScore</a></span>&#8203;(boolean&nbsp;constantScore)</code></th>
<td class="colLast">
<div class="block">Specifies whether or not this is a non-scoring condition (a&#46;k&#46;a&#46;
 a filter).</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setField(nl.naturalis.nba.api.Path)">setField</a></span>&#8203;(<a href="Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;field)</code></th>
<td class="colLast">
<div class="block">Sets the field to which the condition applies.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setNot(nl.naturalis.nba.api.UnaryBooleanOperator)">setNot</a></span>&#8203;(<a href="UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api">UnaryBooleanOperator</a>&nbsp;not)</code></th>
<td class="colLast">
<div class="block">Determines whether or not this is a negated condition.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOperator(nl.naturalis.nba.api.ComparisonOperator)">setOperator</a></span>&#8203;(<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator)</code></th>
<td class="colLast">
<div class="block">Sets operator used to constrain the field's value.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOr(java.util.List)">setOr</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;&nbsp;or)</code></th>
<td class="colLast">
<div class="block">Sets the OR sibling conditions of this condition.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setValue(java.lang.Object)">setValue</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value to constrain the field to.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QueryCondition</h4>
<pre>public&nbsp;QueryCondition()</pre>
<div class="block">Creates an empty search condition.</div>
</li>
</ul>
<a id="&lt;init&gt;(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QueryCondition</h4>
<pre>public&nbsp;QueryCondition&#8203;(boolean&nbsp;b)</pre>
<div class="block">instantiating a <code>QueryCondition</code> this way will create either the ALWAYS
 TRUE or the ALWAYS FALSE query condition, depending on the boolean value
 passed to this constructor. See comments above.</div>
</li>
</ul>
<a id="&lt;init&gt;(nl.naturalis.nba.api.QueryCondition)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QueryCondition</h4>
<pre>public&nbsp;QueryCondition&#8203;(<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;other)</pre>
<div class="block">Copy constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - </dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QueryCondition</h4>
<pre>public&nbsp;QueryCondition&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
                      <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;operator,
                      <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</pre>
<div class="block">Creates a condition for the specified field, comparing it to the specified
 value using the specified operator.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - </dd>
<dd><code>operator</code> - </dd>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QueryCondition</h4>
<pre>public&nbsp;QueryCondition&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
                      <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
                      <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</pre>
<div class="block">Creates a condition for the specified field, comparing it to the specified
 value using the specified operator.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - </dd>
<dd><code>operator</code> - </dd>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(nl.naturalis.nba.api.Path,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QueryCondition</h4>
<pre>public&nbsp;QueryCondition&#8203;(<a href="Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;field,
                      <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
                      <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</pre>
<div class="block">Creates a condition for the specified field, comparing it to the specified
 value using the specified operator.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - </dd>
<dd><code>operator</code> - </dd>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(nl.naturalis.nba.api.UnaryBooleanOperator,java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QueryCondition</h4>
<pre>public&nbsp;QueryCondition&#8203;(<a href="UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api">UnaryBooleanOperator</a>&nbsp;not,
                      <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
                      <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
                      <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</pre>
<div class="block">Creates a negated condition for the specified field, comparing it to the
 specified value using the specified operator.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>not</code> - </dd>
<dd><code>field</code> - </dd>
<dd><code>operator</code> - </dd>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(nl.naturalis.nba.api.UnaryBooleanOperator,nl.naturalis.nba.api.Path,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>QueryCondition</h4>
<pre>public&nbsp;QueryCondition&#8203;(<a href="UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api">UnaryBooleanOperator</a>&nbsp;not,
                      <a href="Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;field,
                      <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
                      <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="and(java.lang.String,java.lang.String,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>and</h4>
<pre class="methodSignature">public&nbsp;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;and&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
                          <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;operator,
                          <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</pre>
<div class="block">Adds an AND sibling condition to this <code>Condition</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - </dd>
<dd><code>operator</code> - </dd>
<dd><code>value</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="and(java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>and</h4>
<pre class="methodSignature">public&nbsp;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;and&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
                          <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
                          <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</pre>
<div class="block">Adds an AND sibling condition to this <code>Condition</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - </dd>
<dd><code>operator</code> - </dd>
<dd><code>value</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="and(nl.naturalis.nba.api.QueryCondition)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>and</h4>
<pre class="methodSignature">public&nbsp;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;and&#8203;(<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;sibling)</pre>
<div class="block">Adds an AND sibling condition to this <code>Condition</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sibling</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="or(java.lang.String,java.lang.String,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>or</h4>
<pre class="methodSignature">public&nbsp;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;or&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
                         <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;operator,
                         <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</pre>
<div class="block">Adds an OR sibling condition to this <code>Condition</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - </dd>
<dd><code>operator</code> - </dd>
<dd><code>value</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="or(java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>or</h4>
<pre class="methodSignature">public&nbsp;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;or&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
                         <a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
                         <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</pre>
<div class="block">Adds an OR sibling condition to this <code>Condition</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - </dd>
<dd><code>operator</code> - </dd>
<dd><code>value</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="or(nl.naturalis.nba.api.QueryCondition)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>or</h4>
<pre class="methodSignature">public&nbsp;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;or&#8203;(<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;sibling)</pre>
<div class="block">Adds an OR sibling condition to this <code>Condition</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sibling</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="negate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>negate</h4>
<pre class="methodSignature">public&nbsp;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;negate()</pre>
<div class="block">Negates the condition. That is, if it already was a negated condition, it
 becomes a non-negated condition again, otherwise it becomes a negated
 condition.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="isNegated()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNegated</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isNegated()</pre>
<div class="block">Returns whether or not this is a negated condition. Equivalent to
 <code>getNot() != null</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getNot()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNot</h4>
<pre class="methodSignature">public&nbsp;<a href="UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api">UnaryBooleanOperator</a>&nbsp;getNot()</pre>
<div class="block">Whether or not this is a negated condition.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setNot(nl.naturalis.nba.api.UnaryBooleanOperator)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNot</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setNot&#8203;(<a href="UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api">UnaryBooleanOperator</a>&nbsp;not)</pre>
<div class="block">Determines whether or not this is a negated condition. Passing <code>null</code>
 effectively makes this a non-negated condition. Passing
 <a href="UnaryBooleanOperator.html#NOT"><code>NOT</code></a> make it a negated condition.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>not</code> - </dd>
</dl>
</li>
</ul>
<a id="getField()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getField</h4>
<pre class="methodSignature">public&nbsp;<a href="Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;getField()</pre>
<div class="block">Returns the field whose value .</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - </dd>
</dl>
</li>
</ul>
<a id="setField(nl.naturalis.nba.api.Path)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setField</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setField&#8203;(<a href="Path.html" title="class in nl.naturalis.nba.api">Path</a>&nbsp;field)</pre>
<div class="block">Sets the field to which the condition applies.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - </dd>
</dl>
</li>
</ul>
<a id="getOperator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperator</h4>
<pre class="methodSignature">public&nbsp;<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;getOperator()</pre>
<div class="block">Returns operator used to constrain the field's value.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setOperator(nl.naturalis.nba.api.ComparisonOperator)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOperator</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOperator&#8203;(<a href="ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator)</pre>
<div class="block">Sets operator used to constrain the field's value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>operator</code> - </dd>
</dl>
</li>
</ul>
<a id="getValue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;getValue()</pre>
<div class="block">Returns the value to constrain the field to.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setValue(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValue</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setValue&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</pre>
<div class="block">Sets the value to constrain the field to.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="getAnd()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnd</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;&nbsp;getAnd()</pre>
<div class="block">Returns the AND sibling conditions of this condition.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setAnd(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAnd</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAnd&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;&nbsp;and)</pre>
<div class="block">Sets the AND sibling conditions of this condition.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>and</code> - </dd>
</dl>
</li>
</ul>
<a id="getOr()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOr</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;&nbsp;getOr()</pre>
<div class="block">Returns the OR sibling conditions of this condition.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setOr(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOr</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOr&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;&nbsp;or)</pre>
<div class="block">Sets the OR sibling conditions of this condition.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>and</code> - </dd>
</dl>
</li>
</ul>
<a id="isConstantScore()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConstantScore</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang" class="externalLink">Boolean</a>&nbsp;isConstantScore()</pre>
<div class="block">Whether or not this is a non-scoring condition (a&#46;k&#46;a&#46; a filter).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setConstantScore(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConstantScore</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setConstantScore&#8203;(boolean&nbsp;constantScore)</pre>
<div class="block">Specifies whether or not this is a non-scoring condition (a&#46;k&#46;a&#46;
 a filter).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>constantScore</code> - </dd>
</dl>
</li>
</ul>
<a id="getBoost()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoost</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Float.html?is-external=true" title="class or interface in java.lang" class="externalLink">Float</a>&nbsp;getBoost()</pre>
<div class="block">Returns the boost that documents should receive if they satisfy this
 condition.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setBoost(java.lang.Float)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoost</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBoost&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Float.html?is-external=true" title="class or interface in java.lang" class="externalLink">Float</a>&nbsp;boost)</pre>
<div class="block">Sets the boost that documents should receive if they satisfy this condition.</div>
</li>
</ul>
<a id="equals(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;equals&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></code></dd>
</dl>
</li>
</ul>
<a id="hashCode()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/QueryCondition.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
